> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.sevalla.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get application

> Fetch detailed information about a specific application by its unique identifier.



## OpenAPI

````yaml https://api.sevalla.com/v2/openapi.json get /applications/{id}
openapi: 3.1.0
info:
  title: Sevalla API docs
  version: 1.0.0
servers:
  - url: https://api.sevalla.com/v2
security:
  - bearerAuth: []
paths:
  /applications/{id}:
    get:
      tags:
        - Applications
      summary: Get application
      description: >-
        Fetch detailed information about a specific application by its unique
        identifier.
      operationId: getApplicationV2
      parameters:
        - schema:
            type: string
            format: uuid
            pattern: >-
              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
            example: fb5e5168-4281-4bec-94c5-0d1584e9e657
          in: path
          name: id
          required: true
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  app:
                    type: object
                    properties:
                      id:
                        type: string
                        format: uuid
                        pattern: >-
                          ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                        description: Unique identifier for the application
                        example: fb5e5168-4281-4bec-94c5-0d1584e9e657
                      name:
                        type: string
                        minLength: 1
                        maxLength: 64
                        description: Unique name of the application
                        example: my-app
                      display_name:
                        type: string
                        minLength: 1
                        maxLength: 255
                        description: Display name of the application
                        example: My Application
                      hibernation_enabled:
                        type: boolean
                        description: Whether hibernation is enabled
                        example: false
                      hibernate_after_seconds:
                        anyOf:
                          - type: integer
                            exclusiveMinimum: 0
                            maximum: 9007199254740991
                          - type: 'null'
                        description: Seconds before hibernation
                        example: 3600
                      status:
                        anyOf:
                          - type: string
                            enum:
                              - deploymentInProgress
                              - deploymentFailed
                              - deploymentSuccess
                              - deleting
                              - appDeletionFailed
                              - deploymentCancelled
                          - type: 'null'
                        example: deploymentSuccess
                      deployments:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                              format: uuid
                              pattern: >-
                                ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                              description: Unique identifier for the deployment
                              example: fb5e5168-4281-4bec-94c5-0d1584e9e657
                            branch:
                              anyOf:
                                - type: string
                                - type: 'null'
                              description: Git branch of the deployment
                              example: main
                            repo_url:
                              anyOf:
                                - type: string
                                - type: 'null'
                              description: Repository URL
                              example: https://github.com/user/repo
                            commit_message:
                              anyOf:
                                - type: string
                                - type: 'null'
                              description: Commit message
                              example: 'feat: add new feature'
                            created_at:
                              type: number
                              description: Creation timestamp in milliseconds
                              example: 1738195200000
                          required:
                            - id
                            - branch
                            - repo_url
                            - commit_message
                            - created_at
                          additionalProperties: false
                      processes:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                              format: uuid
                              pattern: >-
                                ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                              description: Unique identifier for the process
                              example: fb5e5168-4281-4bec-94c5-0d1584e9e657
                            key:
                              type: string
                              description: Unique key of the process
                              example: web
                          required:
                            - id
                            - key
                          additionalProperties: false
                      internal_connections:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                              format: uuid
                              pattern: >-
                                ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                              description: Unique identifier for the internal connection
                              example: fb5e5168-4281-4bec-94c5-0d1584e9e657
                            app:
                              anyOf:
                                - type: object
                                  properties:
                                    id:
                                      type: string
                                      format: uuid
                                      pattern: >-
                                        ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                                      example: fb5e5168-4281-4bec-94c5-0d1584e9e657
                                    name:
                                      type: string
                                      example: my-app
                                  required:
                                    - id
                                    - name
                                  additionalProperties: false
                                - type: 'null'
                              description: Connected application
                            database:
                              anyOf:
                                - type: object
                                  properties:
                                    id:
                                      type: string
                                      format: uuid
                                      pattern: >-
                                        ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                                      example: fb5e5168-4281-4bec-94c5-0d1584e9e657
                                    name:
                                      type: string
                                      example: my-database
                                  required:
                                    - id
                                    - name
                                  additionalProperties: false
                                - type: 'null'
                              description: Connected database
                          required:
                            - id
                            - app
                            - database
                          additionalProperties: false
                    required:
                      - id
                      - name
                      - display_name
                      - hibernation_enabled
                      - hibernate_after_seconds
                      - status
                      - deployments
                      - processes
                      - internal_connections
                    additionalProperties: false
                required:
                  - app
                additionalProperties: false
        '401':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Not found
                  status:
                    type: number
                    example: 404
                  data:
                    type: object
                    properties:
                      code:
                        description: Error tracking code for support reference
                        example: err_12345
                        type: string
                      message:
                        description: Instructions for the user
                        example: The requested resource was not found
                        type: string
                    additionalProperties: false
                required:
                  - message
                  - status
                additionalProperties: false
        '404':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Not found
                  status:
                    type: number
                    example: 404
                  data:
                    type: object
                    properties:
                      code:
                        description: Error tracking code for support reference
                        example: err_12345
                        type: string
                      message:
                        description: Instructions for the user
                        example: The requested resource was not found
                        type: string
                    additionalProperties: false
                required:
                  - message
                  - status
                additionalProperties: false
        '500':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Not found
                  status:
                    type: number
                    example: 404
                  data:
                    type: object
                    properties:
                      code:
                        description: Error tracking code for support reference
                        example: err_12345
                        type: string
                      message:
                        description: Instructions for the user
                        example: The requested resource was not found
                        type: string
                    additionalProperties: false
                required:
                  - message
                  - status
                additionalProperties: false
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        API key authentication. Pass your API key as a Bearer token in the
        Authorization header.

````